Bug 98378 - segv when used -static with g++3
Summary: segv when used -static with g++3
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gcc3   
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-01 21:54 UTC by umut
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 14:18:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description umut 2003-07-01 21:54:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
binary built with g++3 with -static SEGVs right away.

consider the below code:

a.cpp:
------

#include <iostream.h>

main()
{}

%g++3 -static -o a a.cpp -lc
%./a
Segmentation fault

Version-Release number of selected component (if applicable):
gcc3-3.0.4-1

How reproducible:
Always

Steps to Reproduce:
1.compile the code
2.run
3.
    

Actual Results:  Segmentation fault

Expected Results:  no error

Additional info:

g++3 is the only compiler that is available for Redhat 7.2 ia64. There is no 
newer version.

Comment 2 Jakub Jelinek 2004-10-07 14:18:04 UTC
g++3 was just a technology preview in AS2.1.


Note You need to log in before you can comment on or make changes to this bug.